SSLServerSocketFactory (Java Platform SE 8 )
Keywords: javax.net.ssl.SSLServerSocketFactory class
Date: 2016-10-23

compact1, compact2, compact3
javax.net.ssl

## Class SSLServerSocketFactory

- java.lang.Object
- - javax.net.ServerSocketFactory
  - - javax.net.ssl.SSLServerSocketFactory

-     public abstract class SSLServerSocketFactory
      extends ServerSocketFactory

  `SSLServerSocketFactory`s create `SSLServerSocket`s.
  Since:
    1.4
  See Also:
    `SSLSocket`, `SSLServerSocket`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SSLServerSocketFactory()` Constructor is used only by subclasses.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServerSocketFactory` | `getDefault()` Returns the default SSL server socket factory.
    `abstract String[]` | `getDefaultCipherSuites()` Returns the list of cipher suites which are enabled by default.
    `abstract String[]` | `getSupportedCipherSuites()` Returns the names of the cipher suites which could be enabled for use on an SSL connection created by this factory.

    - ### Methods inherited from class javax.net.ServerSocketFactory

      `createServerSocket, createServerSocket, createServerSocket, createServerSocket`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLServerSocketFactory

          protected SSLServerSocketFactory()

      Constructor is used only by subclasses.

  - ### Method Detail

    - #### getDefault

          public static ServerSocketFactory getDefault()

      Returns the default SSL server socket factory.

      The first time this method is called, the security property "ssl.ServerSocketFactory.provider" is examined. If it is non-null, a class by that name is loaded and instantiated. If that is successful and the object is an instance of SSLServerSocketFactory, it is made the default SSL server socket factory.

      Otherwise, this method returns `SSLContext.getDefault().getServerSocketFactory()`. If that call fails, an inoperative factory is returned.

      Returns:
        the default `ServerSocketFactory`
      See Also:
        `SSLContext.getDefault()`

    - #### getDefaultCipherSuites

          public abstract String[] getDefaultCipherSuites()

      Returns the list of cipher suites which are enabled by default. Unless a different list is enabled, handshaking on an SSL connection will use one of these cipher suites. The minimum quality of service for these defaults requires confidentiality protection and server authentication (that is, no anonymous cipher suites).
      Returns:
        array of the cipher suites enabled by default
      See Also:
        `getSupportedCipherSuites()`

    - #### getSupportedCipherSuites

          public abstract String[] getSupportedCipherSuites()

      Returns the names of the cipher suites which could be enabled for use on an SSL connection created by this factory. Normally, only a subset of these will actually be enabled by default, since this list may include cipher suites which do not meet quality of service requirements for those defaults. Such cipher suites are useful in specialized applications.
      Returns:
        an array of cipher suite names
      See Also:
        `getDefaultCipherSuites()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.